## drbl 2.4.8

=== debian/changelog ===
drbl (2.4.8-drbl1) unstable; urgency=low

  * Bug fixed: the shared object exposed by the kernel, i.e. linux-vdso.so.1 
    and linux-gate.so.1, should be skipped when copying shared objects to 
    /tftpboot/node_root/ since they do not exist on the file system. 
  * Package sysklogd was replaced by rsyslog in the Clonezilla/DRBL live CD 
    packages list.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 14 May 2013 09:10:47 +0800

## drbl 2.4.10

=== debian/changelog ===
drbl (2.4.10-drbl1) unstable; urgency=low

  * Adding LSB info in modified service networking of DRBL clients.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 15 May 2013 11:19:40 +0800

drbl (2.4.9-drbl1) unstable; urgency=low

  * Adding zfs-fuse in the Clonezilla/DRBL live CD packages list.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 14 May 2013 14:38:53 +0800

## drbl 2.4.11

=== debian/changelog ===
drbl (2.4.11-drbl1) unstable; urgency=low

  * Program makeboot.bat was updated with a better mechanism to prevent
    run program on wrong disk.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 16 May 2013 10:12:49 +0800

## drbl 2.4.12

=== debian/changelog ===
drbl (2.4.12-drbl1) unstable; urgency=low

  * Bug fixed: the dhcpd.conf created on Ubuntu 12.04 won't be started 
    due to an extra "," in the end of name server list.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 17 May 2013 14:57:40 +0800

## drbl 2.4.13

=== debian/changelog ===
drbl (2.4.13-drbl1) unstable; urgency=low

  * Bug fixed: for expert mode, the postrun action for Clonezilla live should be asked, 
    not be skipped. Thanks to SourceJo for reporting this issue 
    (https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/3f3bb67d/?limit=25#5973).

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 May 2013 17:12:35 +0800

=== debian/watch ===
version=3

http://free.nchc.org.tw/drbl-core/src/stable/drbl-(.*)\.tar\.bz2

## drbl 2.4.14

=== debian/changelog ===
drbl (2.4.14-drbl1) unstable; urgency=low

  * Bug fixed: "-r" option for Clonezilla might be duplicated when
    "-k1" option is enabled.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 26 May 2013 15:07:53 +0800

## drbl 2.4.15

=== debian/changelog ===
drbl (2.4.15-drbl2) unstable; urgency=low

  * Making the desktop icon files of drbl live as executable.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 09 Jun 2013 12:05:27 +0800

drbl (2.4.15-drbl1) unstable; urgency=low

  * Bug fixed: drbl-client-boot.conf for Ubuntu 12.04 and 12.10 should be improved 
    as that for Ubuntu 13.04. Otherwise lightdm won't start in DRBL client.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 06 Jun 2013 23:12:39 +0800

## drbl 2.4.16

=== debian/changelog ===
drbl (2.4.16-drbl1) unstable; urgency=low

  * Bug fixed: a variable lib_NOT_2_be_copied_2_common_root in drbl.conf 
    was added so that it's easier to exclude the /lib/live/mount dir, 
    the mounting point of Debian live 3.x, when running drblpush.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 09 Jun 2013 16:28:44 +0800

## drbl 2.4.17

=== debian/changelog ===
drbl (2.4.17-drbl1) unstable; urgency=low

  * CentOS 6.4 support was added.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 11 Jun 2013 10:05:24 +0800

## drbl 2.4.19

=== debian/changelog ===
drbl (2.4.19-drbl1) unstable; urgency=low

  * Package "lsof" was added in the packages list of Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 23 Jul 2013 15:16:31 +0800

drbl (2.4.18-drbl1) unstable; urgency=low

  * Package efibootmgr was added in Clonezilla live packages list.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 19 Jun 2013 14:57:30 +0800

## drbl 2.4.20

=== debian/changelog ===
drbl (2.4.20-drbl1) unstable; urgency=low

  * Language files were updated. Words about updating EFI NVRAM were added.
  * An option "-iefi" was added in in the restoring dialog menu.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 23 Jul 2013 16:36:10 +0800

## drbl 2.4.21

=== debian/changelog ===
drbl (2.4.21-drbl1) unstable; urgency=low

  * Adding efibootmgr in the packages list for quering in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Jul 2013 21:05:58 +0800

## drbl 2.4.22

=== debian/changelog ===
drbl (2.4.22-drbl1) unstable; urgency=low

  * Language files were updated by adding some sentences related
    to prep-ocsroot.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 28 Jul 2013 11:12:10 +0800

## drbl 2.4.24

=== debian/changelog ===
drbl (2.4.24-drbl) unstable; urgency=low

  * The netinstall for Ubuntu in drbl.conf was updated as precise and raring.
  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 09 Aug 2013 09:40:16 +0800

drbl (2.4.23-drbl1) unstable; urgency=low

  * Language file es_ES of bash was updated. Thanks to Juan Ramón Martínez.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 07 Aug 2013 16:53:11 +0800

## drbl 2.4.25

=== debian/changelog ===
drbl (2.4.25-drbl) unstable; urgency=low

  * Language file ca_ES was updated. Thanks to René Mérou.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 10 Aug 2013 15:06:14 +0800

## drbl 2.4.26

=== debian/changelog ===
drbl (2.4.26-drb1) unstable; urgency=low

  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 10 Aug 2013 23:45:05 +0800

=== debian/control ===
Source: drbl
Section: admin
Priority: extra
Maintainer: Steven Shiau <steven@nchc.org.tw>
Uploaders: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 9), quilt
Standards-Version: 3.9.3
Homepage: http://drbl.org/

Package: drbl
Architecture: all
Depends: ${misc:Depends}, perl, bash (>= 4.0.0), ipcalc, wakeonlan,
 syslinux
Description: diskless remote boot, and a disk cloning utility
 DRBL (Diskless Remote Boot in Linux) provides a diskless or
 systemless environment for client machines. It works on Debian,
 Ubuntu, Mandriva, Red Hat, Fedora, CentOS and OpenSuSE. DRBL uses
 distributed hardware resources and makes it possible for clients to
 fully access local hardware. It also includes Clonezilla, a partition
 and disk cloning utility similar to Symantec Ghost(TM) or True
 Image(TM).
 .
 For more details, check
 1. http://drbl.sourceforge.net (English)
 2. http://drbl.nchc.org.tw (Traditional Chinese - Taiwan)

## drbl 2.4.27

=== debian/changelog ===
drbl (2.4.27-drbl) unstable; urgency=low

  * Using gdisk-noicu in the packages list of Clonezilla live instead
    of gdisk (drbl.conf).

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 11 Aug 2013 10:18:48 +0800

drbl (2.4.26-drbl) unstable; urgency=low

  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 10 Aug 2013 23:45:05 +0800

## drbl 2.4.29

=== debian/changelog ===
drbl (2.4.29-drbl1) unstable; urgency=low

  * Usage of drbl-client-switch was updated.
  * Two contral variables, ocs_fsck_src_part and ocs_chk_img, were added in drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 24 Aug 2013 18:11:32 +0800

drbl (2.4.28-drbl) unstable; urgency=low

  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 13 Aug 2013 19:57:42 +0800

## drbl 2.4.30

=== debian/changelog ===
drbl (2.4.30-drbl1) unstable; urgency=low

  * Bug fixed: option of switch-pxe-menu was changed to avoid confusion.
  * Variable clonezilla_client_menu_label_prefix was added in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 25 Aug 2013 16:40:47 +0800

## drbl 2.4.31

=== debian/changelog ===
drbl (2.4.31-drbl1) unstable; urgency=low

  * Bug fixed: nfs service was not started or stopped by drbl-all-service
    in CentOS 6. Thanks to hihcheng Huang (shihcheng0527 _at_ gmail com) 
    for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 26 Aug 2013 16:47:45 +0800

## drbl 2.4.32

=== debian/changelog ===
drbl (2.4.32-drbl1) unstable; urgency=low

  * Bug fixed: drbl-all-service failed to stop or restart nfs-server in 
    Fedora 17.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 27 Aug 2013 15:03:40 +0800

## drbl 2.4.33

=== debian/changelog ===
drbl (2.4.33-drbl1) unstable; urgency=low

  * Netinstall for Debian Squeeze was removed in drbl.conf, while wheezy
    is kept.
  * Variable msg_prompt_for_insert_USB_dev_if_necessary and 
    msg_do_not_close_window_until_clone_finish in language files were 
    updated.
  * A variable messages_shown_preference was added in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 31 Aug 2013 19:54:34 +0800

## drbl 2.4.34

=== debian/changelog ===
drbl (2.4.34-drbl1) unstable; urgency=low

  * Changed messages_shown_preference="cmd" in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 31 Aug 2013 20:07:25 +0800

## drbl 2.4.35

=== debian/changelog ===
drbl (2.4.35-drbl1) unstable; urgency=low

  * Minor updates about the the question mark after 
    $msg_are_u_sure_u_want_to_continue for language files.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 07 Sep 2013 09:10:00 +0800

## drbl 2.4.36

=== debian/changelog ===
drbl (2.4.36-drbl1) unstable; urgency=low

  * Removing hal from live system packages list in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Sep 2013 13:33:30 +0800

## drbl 2.4.37

=== debian/changelog ===
drbl (2.4.37-drbl1) unstable; urgency=low

  * Removing hwinfo from live system packages list in drbl.conf 
    because it's removed from Ubuntu Saucy and we use lshw instead.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Sep 2013 16:05:35 +0800

## drbl 2.4.38

=== debian/changelog ===
drbl (2.4.38-drbl1) unstable; urgency=low

  * The DRBL URL was changed as http://drbl.org from http://drbl.sf.net
    in drbl-syslinux-netinstall and generate-pxe-menu.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 12 Sep 2013 11:05:55 +0800

## drbl 2.4.39

=== debian/changelog ===
drbl (2.4.39-drbl1) unstable; urgency=low

  * The unnecessary variables wget* in drbl.conf were removed.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 16 Sep 2013 19:27:47 +0800

## drbl 2.5.0

=== Makefile ===
# Makefile
#
# License: GPL
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#
SHELL := sh -e
DESTDIR =
SHAREDIR = /usr/share/drbl/

SCRIPTS = bin/* sbin/* $(SHAREDIR)/sbin/* $(SHAREDIR)/bin/*

all: drbl-sbin-link languages

build:
	@echo "Nothing to build."

drbl-sbin-link:
	@echo "Files linking..."
	$(MAKE) -C sbin all

languages:
	@echo "Files linking..."
	$(MAKE) -C lang all

install:
	# install exec files
	install -d $(DESTDIR)/usr/
	cp -a sbin bin $(DESTDIR)/usr/
	rm -f $(DESTDIR)/usr/sbin/Makefile
	# install setup dir
	install -d $(DESTDIR)/$(SHAREDIR)/
	cp -a setup $(DESTDIR)/$(SHAREDIR)/
	# install other shared files
	cp -a lang doc pkg pki image prerun postrun scripts/sbin scripts/bin $(DESTDIR)/$(SHAREDIR)/
	# erase an extra COPYING
	rm -f $(DESTDIR)/$(SHAREDIR)/pkg/misc/COPYING
	rm -f $(DESTDIR)/$(SHAREDIR)/pkg/misc/Makefile $(DESTDIR)/$(SHAREDIR)/lang/Makefile
	# install config files
	install -d $(DESTDIR)/etc/drbl/
	cp -a conf/* $(DESTDIR)/etc/drbl/
	# install themes
	install -d $(DESTDIR)/usr/share/gdm/themes/drbl-gdm
	cp -a themes/* $(DESTDIR)/usr/share/gdm/themes/drbl-gdm/

clean:
	$(MAKE) -C sbin clean
	$(MAKE) -C lang clean

=== debian/changelog ===
drbl (2.5.0-drbl1) unstable; urgency=low

  * Adding support for Ubuntu 13.10.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 22 Sep 2013 15:48:59 +0800

## drbl 2.5.4

=== debian/changelog ===
drbl (2.5.4-drbl1) unstable; urgency=low

  * Bug fixed: Making mountkernfs.sh and mountdevsubfs.sh start with
    updating /etc/mtab, otherwise when it's run 2nd time with reload
    (e.g. mountkernfs.sh reload), it will complain. 

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 02 Oct 2013 15:36:49 +0800

drbl (2.5.3-drbl1) unstable; urgency=low

  * Removing localepurge in the Clonezilla live packages list. We have to 
    install that in live-hook because localepurge >= 0.7.3 the preseeding 
    has to be done before localepurge is installed 
    (http://bugs.debian.org/724491).

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 25 Sep 2013 19:22:18 +0800

drbl (2.5.2-drbl1) unstable; urgency=low

  * Adding debconf-utils in the required packages list in drbl.conf 
    due to the need for debconf-set-selections.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 25 Sep 2013 15:36:44 +0800

drbl (2.5.1-drbl2) unstable; urgency=low

  * Removing those not supported release in drbl/setup/files/Ubuntu/, 
    only 12.04, 12.10, 13.04, and 13.10 were kept now.
  * Adding firstboot for Debian 7.1 DRBL client.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Sep 2013 21:25:23 +0800

## drbl 2.5.5

=== debian/changelog ===
drbl (2.5.5-drbl1) unstable; urgency=low

  * Adding txt2html in the packages list of drbl.conf for Debian system.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 06 Oct 2013 11:58:15 +0800

## drbl 2.5.8

=== debian/changelog ===
drbl (2.5.8-drbl1) unstable; urgency=low

  * Adding makeboot64.bat which run syslinux64.ext.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 08 Oct 2013 13:21:16 +0800

drbl (2.5.7-drbl1) unstable; urgency=low

  * Bug fixed: package name is dosfstools instead of mkdosfs
    in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 07 Oct 2013 09:45:35 +0800

drbl (2.5.6-drbl1) unstable; urgency=low

  * Adding mkdosfs in the packages list of drbl.conf for Debian system.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 06 Oct 2013 21:44:49 +0800

## drbl 2.5.9

=== debian/changelog ===
drbl (2.5.9-drbl1) unstable; urgency=low

  * Bug fixed: mknic-nbi should be run in drbl-live. Because it is 
    run in chroot when DRBL live is created. However, the variable 
    use_run_in_initrd and use_dev_pts_in_initrd in initramfs' /etc/linuxrc.conf
    (i.e. "/usr/lib/mkpxeinitrd-net/initrd-skel/etc/linuxrc.conf") need to be 
    updated in the run time. Otherwise it might cause some modules fail to 
    be loaded.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 09 Oct 2013 15:54:12 +0800

## drbl 2.5.10

=== debian/changelog ===
drbl (2.5.10-drbl1) unstable; urgency=low

  * Adding a line feed before running mknic-nbi in drbl-live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 10 Oct 2013 13:31:13 +0800

## drbl 2.5.11

=== debian/changelog ===
drbl (2.5.11-drbl1) unstable; urgency=low

  * Adding option --ipv4 for tftpd-hpa because DRBL now does not support IPv6, 
    and if we force to disable it by adding "ipv6.disable=1" in boot parameter, 
    without using option --ipv4 the tftpd-hpa won't start
    (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544089).

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 11 Oct 2013 20:51:35 +0800

## drbl 2.5.12

=== debian/changelog ===
drbl (2.5.12-drbl1) unstable; urgency=low

  * Bug fixed: drbl-ssi-client-prepare failed to set the autologin account
    for lightdm.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 14 Oct 2013 19:59:24 +0800

## drbl 2.5.13

=== debian/changelog ===
drbl (2.5.13-drbl1) unstable; urgency=low

  * Adding pause 1 sec in drbl-live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 16 Oct 2013 09:46:04 +0800

## drbl 2.6.4

=== debian/changelog ===
drbl (2.6.4-drbl1) unstable; urgency=low

  * Bug fixed: drbl-gen-pxe-nbi should not remove
    /tftpboot/nbi_img/{bootx64.efi,bootia32.efi}
  * Adding more general network booting settings in dhcpd.conf for PXE 
    and EFI clients. However, the config for EFI clients are not ready yet.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 27 Oct 2013 21:31:16 +0800

drbl (2.6.3-drbl1) unstable; urgency=low

  * The extlinux won't be installed when "drblsrv -i" is run.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 27 Oct 2013 20:47:51 +0800

drbl (2.6.2-drbl1) unstable; urgency=low

  * Files bootia32.efi and bootx64.efi should be prepared in
    /tftpboot/nbi_img/ in prepare-files-for-PXE-client.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 27 Oct 2013 20:32:34 +0800

drbl (2.6.1-drbl1) unstable; urgency=low

  * Adding firstboot.DBN7.2.drbl for Debian 7.2.
  * Supporting pxelinux 6.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 27 Oct 2013 19:33:25 +0800

drbl (2.5.14-drbl1) unstable; urgency=low

  * Updating netinstall versions of Ubuntu and Fedora in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 23 Oct 2013 08:26:23 +0800

## drbl 2.6.5

=== debian/changelog ===
drbl (2.6.5-drbl1) unstable; urgency=low

  * Bug fixed: drbl-prepare-pxelinux failed to put the efi part of upstream
    syslinux 6.
  * Bug fixed: ldlinux.e32 and ldlinux.e64 should not be put in 
    sys_pxelinux_v5p_required_c32 of drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 28 Oct 2013 09:52:20 +0800

## drbl 2.6.7

=== debian/changelog ===
drbl (2.6.7-drbl1) unstable; urgency=low

  * Adding CentOS 5.10 support.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 28 Oct 2013 17:00:38 +0800

drbl (2.6.6-drbl1) unstable; urgency=low

  * Linking pxelinux module files in /tftpboot/nbi_img so it could be
    compatible with older version.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 28 Oct 2013 15:01:25 +0800

## drbl 2.6.8

=== debian/changelog ===
drbl (2.6.8-drbl1) unstable; urgency=low

  * Minor bug about udev if block in drblsrv was fixed.
  * Temporarily removing isolinux and pxelinux from 
    PKG_FROM_DBN_MINIMAL_NEED in drbl.conf due to the 
    local boot issue for pxelinux 6.2
    (http://www.syslinux.org/archives/2013-October/021010.html).

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 29 Oct 2013 11:50:01 +0800

## drbl 2.6.9

=== debian/changelog ===
drbl (2.6.9-drbl1) unstable; urgency=low

  * Bug fixed: mbr.bin of syslinux was not put in
    /usr/share/drbl/syslinux/bios/.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 05 Nov 2013 14:42:03 +0800

## drbl 2.6.11

=== debian/changelog ===
drbl (2.6.11-drbl1) unstable; urgency=low

  * A better method to disable plymouth service was added for DRBL 
    Ubuntu client.
  * "quiet" was added in the boot parameters of DRBL clients.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Nov 2013 20:28:25 +0800

drbl (2.6.10-drbl1) unstable; urgency=low

  * Bug fixed: plymouth should not be started for DRBL clients on
    Ubuntu 13.10 when Clonezilla job is run.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Nov 2013 16:44:44 +0800

## drbl 2.6.12

=== debian/changelog ===
drbl (2.6.12-drbl1) unstable; urgency=low

  * "PATH" configuration of pxelinux only exists when version >= 5, so 
     program generate-pxe-men should not add it when pxelinux version is < 5.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Nov 2013 21:17:18 +0800

## drbl 2.6.15

=== debian/changelog ===
drbl (2.6.15-1) unstable; urgency=low

  * upgraded to the new upstream release. Closes: #726377
    about bug #726377: some documentation has been added (man drbl)
    and "drblsrv -i" was tested successfully (under jessie)

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Dec 2013 10:50:28 +0100

drbl (2.4.19-1) unstable; urgency=low

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Aug 2013 20:41:41 +0200

drbl (2.4.17-2) unstable; urgency=low

  * added a Recommends: clonezilla. Closes: #704031

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Jun 2013 11:15:01 +0200

drbl (2.4.17-1) unstable; urgency=low

  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Jun 2013 10:53:14 +0200

drbl (2.3.10-1) unstable; urgency=low

  * changed my DEBEMAIL
  * updated Srandards-Version
  * upgraded to the latest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 13 May 2013 02:59:44 +0200

=== debian/control ===
Source: drbl
Section: admin
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 8.0.0), quilt
Standards-Version: 3.9.4
Homepage: http://drbl.sourceforge.net/

Package: drbl
Architecture: all
Depends: ${misc:Depends}, perl, ash, ipcalc, wakeonlan,
 syslinux, syslinux-common
Recommends: clonezilla
Description: diskless remote boot, and a disk cloning utility
 DRBL (Diskless Remote Boot in Linux) provides a diskless or
 systemless environment for client machines. It works on Debian,
 Ubuntu, Mandriva, Red Hat, Fedora, CentOS and OpenSuSE. DRBL uses
 distributed hardware resources and makes it possible for clients to
 fully access local hardware. It also includes Clonezilla, a partition
 and disk cloning utility similar to Symantec Ghost(TM) or True
 Image(TM).
 .
 For more details, check
  1. http://drbl.sourceforge.net (English)
  2. http://drbl.nchc.org.tw (Chinese Big5 - Taiwan)

## drbl 2.7.3

=== debian/changelog ===
drbl (2.7.3-drbl1) unstable; urgency=low

  * Language files were updated by adding some sentences related
    to ocs-cvtimg-comp.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Dec 2013 11:05:33 +0800

drbl (2.7.2-drbl1) unstable; urgency=low

  * Adding pixz in in PKG_FROM_DBN_MINIMAL_NEED of drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 07 Dec 2013 11:43:21 +0800

drbl (2.7.1-drbl1) unstable; urgency=low

  * Adding isolinux and pxelinux in PKG_FROM_DBN_MINIMAL_NEED of drbl.conf.
    This is used for live system with syslinux version 6.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 26 Nov 2013 10:15:50 +0800

drbl (2.6.15-drbl1) unstable; urgency=low

  * The "quiet" parameter will only be put for Debian or Ubuntu clients. 
    Not for other distributions.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 20 Nov 2013 21:31:31 +0800

drbl (2.6.14-drbl1) unstable; urgency=low

  * Bug fixed: plymouth.override for Ubuntu <= 13.10 will cause 
    lightdm not starting. Therefore it's only used for Ubuntu >= 13.10.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 20 Nov 2013 18:22:03 +0800

drbl (2.6.13-drbl1) unstable; urgency=low

  * Package htop was added in the Clonezilla live packaegs list.
  * Auto-login for Ubuntu 13.10 client did not work.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 20 Nov 2013 14:15:17 +0800

=== debian/control ===
Source: drbl
Section: admin
Priority: extra
Maintainer: Steven Shiau <steven@nchc.org.tw>
Uploaders: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 9), quilt
Standards-Version: 3.9.3
Homepage: http://drbl.org/

Package: drbl
Architecture: all
Depends: ${misc:Depends}, perl, bash (>= 4.0.0), ipcalc, wakeonlan,
 syslinux (>= 6.0)
Description: diskless remote boot, and a disk cloning utility
 DRBL (Diskless Remote Boot in Linux) provides a diskless or
 systemless environment for client machines. It works on Debian,
 Ubuntu, Mandriva, Red Hat, Fedora, CentOS and OpenSuSE. DRBL uses
 distributed hardware resources and makes it possible for clients to
 fully access local hardware. It also includes Clonezilla, a partition
 and disk cloning utility similar to Symantec Ghost(TM) or True
 Image(TM).
 .
 For more details, check
 1. http://drbl.sourceforge.net (English)
 2. http://drbl.nchc.org.tw (Traditional Chinese - Taiwan)

## drbl 2.7.5

=== debian/changelog ===
drbl (2.7.5-drbl1) unstable; urgency=low

  * Language files were updated by adding some sentences related to 
    ocs-cvtimg-comp.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Dec 2013 22:53:42 +0800

drbl (2.7.4-drbl1) unstable; urgency=low

  * Language files were updated by adding some sentences related to ocs-cvtimg-comp.
  * Comments were added in drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Dec 2013 15:44:11 +0800

## drbl 2.7.6

=== debian/changelog ===
drbl (2.7.6-drbl1) unstable; urgency=low

  * One more sentence about ocs-cvtimg-comp was added in language files.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 Dec 2013 14:10:25 +0800

## drbl 2.7.7

=== sbin/Makefile ===
# Makefile
#
# License: GPL
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#
all: sbin

sbin:
	ln -fs drbl-fuh drbl-cp
	ln -fs drbl-fuh drbl-cp-host
	ln -fs drbl-fuh drbl-host-cp

	ln -fs drbl-fuh drbl-get-host
	ln -fs drbl-fuh drbl-host-get

	ln -fs drbl-fuh drbl-host-rm
	ln -fs drbl-fuh drbl-rm-host

	ln -fs drbl-fuh drbl-fuh-put
	ln -fs drbl-fuh drbl-fuh-get
	ln -fs drbl-fuh drbl-fuh-rm

	ln -fs drbl-fuu drbl-cp-user
	ln -fs drbl-fuu drbl-user-cp

	ln -fs drbl-fuu drbl-rm-user
	ln -fs drbl-fuu drbl-user-rm

	ln -fs drbl-fuu drbl-get-user
	ln -fs drbl-fuu drbl-user-get

	ln -fs drbl-fuu drbl-fuu-put
	ln -fs drbl-fuu drbl-fuu-get
	ln -fs drbl-fuu drbl-fuu-rm

	ln -fs drbl-useradd-file  drbl-userdel-file
	ln -fs drbl-useradd-list  drbl-userdel-list
	ln -fs drbl-useradd-range drbl-userdel-range

	ln -fs drbl-client-switch dcs

clean:
	rm -f  drbl-cp
	rm -f  drbl-cp-host
	rm -f  drbl-host-cp

	rm -f  drbl-get-host
	rm -f  drbl-host-get

	rm -f  drbl-host-rm
	rm -f  drbl-rm-host

	rm -f  drbl-cp-user
	rm -f  drbl-user-cp

	rm -f  drbl-rm-user
	rm -f  drbl-user-rm

	rm -f  drbl-get-user
	rm -f  drbl-user-get

	rm -f  drbl-fuh-put
	rm -f  drbl-fuh-get
	rm -f  drbl-fuh-rm
	rm -f  drbl-fuu-put
	rm -f  drbl-fuu-get
	rm -f  drbl-fuu-rm
	rm -f  drbl-userdel-file
	rm -f  drbl-userdel-list
	rm -f  drbl-userdel-range

	rm -f  dcs

=== debian/changelog ===
drbl (2.7.7-drbl1) unstable; urgency=low

  * Package pv was added in PKG_TO_QUERY of drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 Dec 2013 20:30:53 +0800

## drbl 2.7.8

=== debian/changelog ===
drbl (2.7.8-drbl1) unstable; urgency=low

  * One more sentence about ocs-cvtimg-comp was added in language files.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 11 Dec 2013 22:03:38 +0800

## drbl 2.7.9

=== debian/changelog ===
drbl (2.7.9-drbl1) unstable; urgency=low

  * One more sentence about ocs-cvtimg-comp was added in language files.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 12 Dec 2013 11:59:36 +0800

## drbl 2.7.10

=== debian/changelog ===
drbl (2.7.10-drbl1) unstable; urgency=low

  * Bug fixed: drbl-prepare-pxelinux failed to prepare mbr.bin from 
    syslinux 6 on Debian system.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 15 Dec 2013 16:16:53 +0800

## drbl 2.7.12

=== debian/changelog ===
drbl (2.7.12-drbl1) unstable; urgency=low

  * Bug fixed: mbr.bin should not be put in efi32 or efi64 dirs 
    by drbl-prepare-pxelinux.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 15 Dec 2013 19:38:46 +0800

drbl (2.7.11-drbl1) unstable; urgency=low

  * Adding firstboot.DBN7.3.drbl for Debian 7.3.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 15 Dec 2013 16:23:05 +0800

## drbl 2.7.13

=== debian/changelog ===
drbl (2.7.13-drbl1) unstable; urgency=low

  * Removing the testing words for options z5p and z6p in 
    language files.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 18 Dec 2013 14:57:31 +0800

## drbl 2.7.14

=== lang/Makefile ===
# Makefile
#
# License: GPL
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#
all: bash-lang perl-lang

bash-lang:
	( cd bash; \
	ln -fs de_DE de_DE.UTF-8; \
	ln -fs en_US en_US.UTF-8; \
	ln -fs it_IT it_IT.UTF-8; \
	ln -fs ca_ES ca_ES.UTF-8; \
	ln -fs es_ES es_ES.UTF-8; \
	ln -fs pt_BR pt_BR.UTF-8; \
	ln -fs fr_FR fr_FR.UTF-8 )

perl-lang:
	( cd perl; \
	ln -fs de_DE de_DE.UTF-8; \
	ln -fs en_US en_US.UTF-8; \
	ln -fs it_IT it_IT.UTF-8; \
	ln -fs es_ES es_ES.UTF-8; \
	ln -fs pt_BR pt_BR.UTF-8; \
	ln -fs fr_FR fr_FR.UTF-8 )

clean:
	( cd bash; rm -f en_US.UTF-8 fr_FR.UTF-8 it_IT.UTF-8 ca_ES.UTF-8 es_ES.UTF-8 pt_BR.UTF-8 de_DE.UTF-8)
	( cd perl; rm -f en_US.UTF-8 fr_FR.UTF-8 it_IT.UTF-8 es_ES.UTF-8 pt_BR.UTF-8 de_DE.UTF-8)

## drbl 2.7.15

=== debian/changelog ===
drbl (2.7.15-drbl1) unstable; urgency=low

  * Program drbl-prepare-pxelinux supports the path for testing 
    version of syslinux.
  * Program put_syslinux_makeboot_for_usb_flash put both files 
    for syslinux and isolinux, in order to make versions consistent.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 26 Dec 2013 11:06:40 +0800

drbl (2.7.14-drbl1) unstable; urgency=low

  * Spanish language file was updated. 
    Thanks to Juan Ramón Martínez <jrmc77 _at_ terra es>.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Dec 2013 15:50:20 +0800

## drbl 2.7.16

=== debian/changelog ===
drbl (2.7.16-drbl1) unstable; urgency=low

  * Adding package bcache-tools in the packages list for 
    Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 03 Jan 2014 13:53:58 +0800

## drbl 2.7.17

=== debian/changelog ===
drbl (2.7.17-drbl1) unstable; urgency=low

  * Adding package chntpw in the packages list for Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 06 Jan 2014 17:09:47 +0800

## drbl 2.7.19

=== debian/changelog ===
drbl (2.7.19-drbl1) unstable; urgency=low

  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 14 Jan 2014 21:02:45 +0800

drbl (2.7.18-drbl1) unstable; urgency=low

  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 09 Jan 2014 17:31:53 +0800

## drbl 2.7.20

=== debian/changelog ===
drbl (2.7.20-drbl1) unstable; urgency=low

  * Language file ca_ES was updated. Thanks to René Mérou.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 18 Jan 2014 08:27:16 +0800

## drbl 2.7.21

=== debian/changelog ===
drbl (2.7.21-drbl1) unstable; urgency=low

  * Function put_syslinux_makeboot_for_usb_flash in drbl-functions
    and drbl-sl have been updated corresponding to the unification
    of syslinux and isolinux dirs in the Clonezilla/DRBL/GParted live
    iso and zip.
  * A dir "/utils/win64" was added to be used to run syslinux in 
    Win64 env.
  * An option "-d syslinux" was added when running syslinux in 
    makeboot.sh/makeboot.bat/makeboot64.bat. Thanks to 
    Ady (ady-sf _at_ hotmail com) for this suggestion.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 20 Jan 2014 15:15:07 +0800

## drbl 2.7.24

=== debian/changelog ===
drbl (2.7.24-drbl1) unstable; urgency=low

  * Function parse_cmdline_option of drbl-functions was updated to
    accept more characters, including "[", "]", and ";".
  * Program parted instead of fdisk is used in makeboot.sh to show
    the destination disk partition layout. 
    Thanks to Ady (ady-sf _at_ hotmail com) for this suggestion.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 09 Feb 2014 12:13:37 +0800

drbl (2.7.23-drbl1) unstable; urgency=low

  * Function parse_cmdline_option of drbl-functions was updated to 
    accept pipe sign (|). Thanks to Fuchs (fusi1939 _at_ users sf net)
    for this suggestion.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 06 Feb 2014 20:00:42 +0800

drbl (2.7.22-drbl1) unstable; urgency=low

  * Program makeboot.sh was improved. The directory "/syslinux" on
    the destination partition should be checked. If it does 
    not exist, we should create it. 
    Thanks to Ady (ady-sf _at_ hotmail com) for this suggestion.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 28 Jan 2014 11:22:15 +0800

## drbl 2.7.25

=== debian/changelog ===
drbl (2.7.25-drbl1) unstable; urgency=low

  * Adding firstboot.DBN7.4.drbl for Debian 7.4.
  * Adding unattended option (-b) to makeboot.sh.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 16 Feb 2014 19:32:08 +0800

## drbl 2.7.27

=== debian/changelog ===
drbl (2.7.27-drbl1) unstable; urgency=low

  * The prompt about running syslinux in stupid mode in makeboot.sh
    has been updated by adding "-d syslinux".

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 18 Feb 2014 21:16:33 +0800

drbl (2.7.26-drbl1) unstable; urgency=low

  * Return status of syslinux/extlinux in makeboot.sh will be checked.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 Feb 2014 16:48:15 +0800

## drbl 2.7.28

=== debian/changelog ===
drbl (2.7.28-drbl1) unstable; urgency=low

  * Function parse_cmdline_option of drbl-functions was updated to accept
    all print characters ([[:print:]]) since now we use eval to run it.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 21 Feb 2014 22:05:56 +0800

## drbl 2.7.29

=== debian/changelog ===
drbl (2.7.29-drbl1) unstable; urgency=low

  * The variable msg_remember_poweroff_reboot_when_ocs_sr_is_done in
    language file ja_JP.UTF-8 was updated to avoid triggering 
    jfbterm crash.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 03 Mar 2014 08:27:09 +0800

## drbl 2.7.30

=== debian/changelog ===
drbl (2.7.30-drbl1) unstable; urgency=low

  * The network-manager service of DRBL Ubuntu client is disabled.
    This issue exists specially on Ubuntu Saucy.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 05 Mar 2014 21:01:59 +0800

## drbl 2.7.31

=== debian/changelog ===
drbl (2.7.31-drbl1) unstable; urgency=low

  * Program drbl-list-tarball was added to replace list_available_tbz2
    and list_latest_tbz2.
  * Program drbl-prepare-pxelinux and the function 
    get_syslinux_binary_for_dos_linux of drbl-functions was modified
    to use syslinux xz tarball instead of bz2 tarball because the
    latest testing one does not provide bz2 format anymore.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 07 Mar 2014 15:19:52 +0800

## drbl 2.7.33

=== debian/changelog ===
drbl (2.7.33-drbl1) unstable; urgency=low

  * Variable "messages_shown_preference" in drbl.conf was moved to
    drbl-ocs.conf and renamed as "ocs_prompt_mode".

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 14 Mar 2014 10:53:49 +0800

drbl (2.7.32-drbl1) unstable; urgency=low

  * The codes of prepare-files-for-PXE-client were rewritten so that
    it's can be reused for drbl-prepare-pxelinux. 
    An option "-p" was added to put pxelinux-related files only. 
  * Bug fixed: the "-d" option of drbl-prepare-pxelinux failed to
    process EFI files of syslinux.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 08 Mar 2014 20:22:11 +0800

## drbl 2.7.34

=== debian/changelog ===
drbl (2.7.34-drbl1) unstable; urgency=low

  * Function parse_cmdline_option was improved to avoid some
    runtime error.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 14 Mar 2014 17:32:38 +0800

## drbl 2.7.35

=== debian/changelog ===
drbl (2.7.35-drbl1) unstable; urgency=low

  * A workaround to let DRBL live client start lightdm after
    nis was added in drbl-live.
  * Program drbl-live was rewritten with more functions so 
    it's easier to read.
  * Usage message of drbl-ipcalc-list was updated.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 15 Mar 2014 22:24:19 +0800

## drbl 2.7.37

=== debian/changelog ===
drbl (2.7.37-drbl1) unstable; urgency=low

  * Two options were added to makeboot.sh: -L and -U. 
    Patch provided by Ceasar Sun.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 Mar 2014 17:43:00 +0800

drbl (2.7.36-drbl1) unstable; urgency=low

  * Program get-client-ip-list was updated with missing function "USAGE", 
    and the codes were revised, too.
  * Language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 Mar 2014 14:30:53 +0800

## drbl 2.7.38

=== debian/changelog ===
drbl (2.7.38-drbl1) unstable; urgency=low

  * Program drbl-ipcalc-list was tuned so it's easier to read.
  * A program drbl-ipcalc-range was added, and is used in 
    get-client-ip-list to get correct DRBL class A or B
    layout's clients.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 19 Mar 2014 10:11:32 +0800

## drbl 2.7.39

=== debian/changelog ===
drbl (2.7.39-drbl2) unstable; urgency=low

  * Adding libnet-ip-perl in the dependence. 

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 21 Mar 2014 11:02:51 +0800

drbl (2.7.39-drbl1) unstable; urgency=low

  * Bug fixed: drbl-ipcalc-range was missing.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 19 Mar 2014 16:55:29 +0800

## drbl 2.8.1

=== debian/changelog ===
drbl (2.8.1-drbl1) unstable; urgency=low

  * Adding class A and class B network support.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 24 Mar 2014 22:45:13 +0800

drbl (2.7.40-drbl1) unstable; urgency=low

  * Language file es_ES of bash was updated. Thanks to 
    Juan Ramón Martínez.
  * Program drbl-ipcalc-list was updated by Ceasar Sun
    to support option "-r".
  * Program drbl-ipcalc-range was removed because
    drbl-ipcalc-list has same feature.
  * Program get-client-ip-list uses drbl-ipcalc-list,
    not drbl-ipcalc-range anymore.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 24 Mar 2014 18:06:08 +0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: drbl
 Architecture: all
 Depends: ${misc:Depends}, perl, bash (>= 4.0.0), ipcalc, wakeonlan,
- syslinux (>= 6.0)
+ syslinux (>= 6.0), libnet-ip-perl
 Description: diskless remote boot, and a disk cloning utility
  DRBL (Diskless Remote Boot in Linux) provides a diskless or
  systemless environment for client machines. It works on Debian,

## drbl 2.8.2

=== debian/changelog ===
drbl (2.8.2-drbl1) unstable; urgency=low

  * The support for using network class A and B on DRBL server
    was added.
  * The default rule for hostname of clients was changed to
    ${prefix}${ip//./-}".
  * The method to disable upstart service of Ubuntu client
    was improved.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Mar 2014 17:59:16 +0800

## drbl 2.8.3

=== debian/changelog ===
drbl (2.8.3-drbl1) unstable; urgency=low

  * Program drbl-ipcalc-list was updated by Ceasar Sun for some
    more checking.
  * Only when old clients-of-*.txt exists it will be moved.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Mar 2014 21:27:50 +0800

## drbl 2.8.4

=== debian/changelog ===
drbl (2.8.4-drbl1) unstable; urgency=low

  * The message when searching and copying mbr.bin is suppressed. 
  * libnet-ip-perl was removed from control file because drbl-ipcalc-range was
    removed.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Mar 2014 21:35:59 +0800

## drbl 2.8.5

=== debian/changelog ===
drbl (2.8.5-drbl1) unstable; urgency=low

  * Bug fixed: the hostname assignment syntax was not working
    for perl <= 5.14.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 26 Mar 2014 15:59:08 +0800

## drbl 2.8.7

=== debian/changelog ===
drbl (2.8.7-drbl1) unstable; urgency=low

  * Bug fixed: drbl-prepare-pxelinux failed to copy correct *.c32 of
    bios to /tftpboot/nbi_img/. It caused amd64 system failed to boot
    via pxelinux, isolinux or syslinux.
  * An option "-v" was added to drbl-prepare-pxelinux for verbose
    output.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 01 Apr 2014 19:39:53 +0800

drbl (2.8.6-drbl1) unstable; urgency=low

  * Bug fixed: drbl-sl failed to detect iso file for file
    package >=5.17.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 29 Mar 2014 15:47:34 +0800

## drbl 2.8.8

=== debian/changelog ===
drbl (2.8.8-drbl1) unstable; urgency=low

  * Bug fixed: Mageia's path for vmlinuz and initrd were changed.
    The corresponding changes were done in drbl-netinstall.
  * The version of netinstall in drbl.conf was updated.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 03 Apr 2014 11:03:16 +0800

## drbl 2.8.9

=== debian/changelog ===
drbl (2.8.9-drbl1) unstable; urgency=low

  * Unmounting bind directory under /tftpboot/ if it exists. 
    Otherwise when running "drblsrv -u", it might clean the 
    bind source dir on system.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 12 Apr 2014 16:09:30 +0800

## drbl 2.8.10

=== debian/changelog ===
drbl (2.8.10-drbl1) unstable; urgency=low

  * Adding variable drbl_nfs_prot in drbl.conf.
  * Adding nfs4 support in mknic-nbi. The whole
    support for nfs4 in drbl is not ready yet.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 12 Apr 2014 23:59:48 +0800

## drbl 2.8.11

=== debian/changelog ===
drbl (2.8.11-drbl1) unstable; urgency=low

  * Adding Ubuntu 14.04 support.
  * The dir /run/rpcbind should be created by init.drbl so that
    when rpcbind service starts, it can touch the files under
    the path.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 16 Apr 2014 14:10:16 +0800

## drbl 2.8.12

=== debian/changelog ===
drbl (2.8.12-drbl1) unstable; urgency=low

  * Appending "-" in the default hostname prefix of drblpush.
  * Program drbl-etc-hosts was updated to work with the default
    hostname prefix.
  * The function get_gdm_kdm_conf_filename of drbl-functions was
    updated to find and create the lightdm.conf for Ubuntu 14.04.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 16 Apr 2014 16:21:35 +0800

## drbl 2.8.15

=== debian/changelog ===
drbl (2.8.15-drbl1) unstable; urgency=low

  * Removing "mkdir /run/rpcbind" in init.drbl because it's useless.
  * The rpcbind-boot.conf instead of rpcbind.conf for drbl clients
    is modified to be start on startup. This fixed the issue that
    when init starts, the dir /run/rpcbind/ does not exist.
  * The plymouth related part in /etc/init/rc.conf was disabled
    otherwise when select-in-client mode of clonezilla is run in
    vt1, the virtual console will be switched to vt7.
  * Program drbl-client-root-passwd failed on Ubuntu 14.04, so
    updating the function create_chpasswd_env of drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 19 Apr 2014 11:14:43 +0800

drbl (2.8.14-drbl1) unstable; urgency=low

  * Bug fixed: "service mountall start" in drbl-client-boot.conf of
    Ubuntu 12.04 drbl client should not be commented. Previous 
    change should be reverted.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 Apr 2014 09:33:57 +0800

drbl (2.8.13-drbl1) unstable; urgency=low

  * Adding comment when modifying a file in function switch_upstart_service
    of drbl-functions.
  * customized plymouth.conf for Ubuntu 12.04 drbl clients was added. 
    This is a workaround to
    https://bugs.launchpad.net/ubuntu/precise/+source/mountall/+bug/1233610

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 Apr 2014 09:22:43 +0800

## drbl 2.8.16

=== debian/changelog ===
drbl (2.8.16-drbl1) unstable; urgency=low

  * Updating network installation list for Ubuntu as "precise trusty"
    in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 19 Apr 2014 12:16:50 +0800

## drbl 2.8.17

=== debian/changelog ===
drbl (2.8.17-drbl1) unstable; urgency=low

  * Updating comments in drblpush for dhcpd.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 23 Apr 2014 14:47:19 +0800

## drbl 2.8.18

=== debian/changelog ===
drbl (2.8.18-drbl1) unstable; urgency=low

  * File set-netboot-1st-efi-nvram should be in Clonezilla.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 23 Apr 2014 14:53:04 +0800

## drbl 2.8.20

=== debian/changelog ===
drbl (2.8.20-drbl1) unstable; urgency=low

  * It's rpcbind-boot service only, we do not have to modify
    portmap.conf for Ubuntu 12.04.
  * A workround to keep console in vt 1 when booting for Ubuntu
    12.04 in select-in-client mode.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 26 Apr 2014 20:35:12 +0800

drbl (2.8.19-drbl1) unstable; urgency=low

  * Bug fixed: when in restoreparts mode, "-t" option should be set by
    default (drbl-functions).

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 26 Apr 2014 10:48:05 +0800

## drbl 2.8.21

=== debian/changelog ===
drbl (2.8.21-drbl1) unstable; urgency=low

  * Adding firstboot.DBN7.5.drbl for Debian 7.5.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 26 Apr 2014 23:37:48 +0800

## drbl 2.8.22

=== debian/changelog ===
drbl (2.8.22-drbl1) unstable; urgency=low

  * Adding modified halt and rc.sysinit for DRBL clients of
    CentOS 6.5.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 27 Apr 2014 13:47:28 +0800

## drbl 2.8.23

=== debian/changelog ===
drbl (2.8.23-drbl1) unstable; urgency=low

  * The doc URL was changed to drbl.org from drbl.sourceforge.net.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 01 May 2014 21:38:27 +0800

## drbl 2.8.24

=== debian/changelog ===
drbl (2.8.24-drbl1) unstable; urgency=low

  * Bug fixed: Starting IP address of the range was not used.
    Thanks to Andrew Parker for reporting this issue
    (https://sourceforge.net/p/drbl/bugs/12/).

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 10 May 2014 13:06:06 +0800

## drbl 2.8.25

=== debian/changelog ===
drbl (2.8.25-1) unstable; urgency=medium

  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 07 Jun 2014 19:02:28 +0200

drbl (2.8.21-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * upgraded Standards-Version to 3.9.5 and debhelper to 9
  * removed an extra license file usr/share/drbl/doc/GPL

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 18 May 2014 19:58:44 +0200

=== debian/control ===
Source: drbl
Section: admin
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 9.0.0), quilt
Standards-Version: 3.9.5
Homepage: http://drbl.sourceforge.net/

Package: drbl
Architecture: all
Depends: ${misc:Depends}, perl, ash, ipcalc, wakeonlan,
 syslinux, syslinux-common
Recommends: clonezilla
Description: diskless remote boot, and a disk cloning utility
 DRBL (Diskless Remote Boot in Linux) provides a diskless or
 systemless environment for client machines. It works on Debian,
 Ubuntu, Mandriva, Red Hat, Fedora, CentOS and OpenSuSE. DRBL uses
 distributed hardware resources and makes it possible for clients to
 fully access local hardware. It also includes Clonezilla, a partition
 and disk cloning utility similar to Symantec Ghost(TM) or True
 Image(TM).
 .
 For more details, check
  1. http://drbl.sourceforge.net (English)
  2. http://drbl.nchc.org.tw (Chinese Big5 - Taiwan)

## drbl 2.9.2

=== debian/changelog ===
drbl (2.9.2-drbl1) unstable; urgency=low

  * A program "drbl-live-hadoop" was added. This is still in testing.
  * Language files were updated for ocs-img-2-vdk.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 26 May 2014 23:09:41 +0800

drbl (2.9.1-drbl1) unstable; urgency=low

  * The grep function "NEWER" was renamed as "GREP_NEWER" and defined
    only in drbl-functions, used for all related scripts.
  * Program drbl-list-tarball was renamed as list_available_tarball.
  * Program list_latest_tarball was added and used in function 
    get_syslinux_binary_for_dos_linux of drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 21 May 2014 22:43:14 +0800

drbl (2.8.25-drbl1) unstable; urgency=low

  * Package diskscan was added in Clonezilla live packages list.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 17 May 2014 08:53:46 +0800

## drbl 2.9.3

=== debian/changelog ===
drbl (2.9.3-drbl1) unstable; urgency=low

  * Language files for Slovak were added. Thanks to Ondrej Dzivy Balucha <balucha _at_ horizon sk> for providing this.
  * Bug fixed: The ca_ES of perl file linking was missing in 
    Makefile of language dir.
  * Switching to use debconf-set-selections to preconfigure settings.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 30 May 2014 13:43:14 +0800

## drbl 2.9.5

=== debian/changelog ===
drbl (2.9.5-drbl1) unstable; urgency=low

  * Program makeboot.sh was patched by Ceasar Sun to support
    xfs, ufs and ffs.
  * Language files were improved. Thanks to 
    Philippe Prevost <philippe-prevost _at_ hotmail com>.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 22 Jun 2014 22:17:19 +0800

drbl (2.9.4-drbl1) unstable; urgency=low

  * The usage of drbl-sl was updated to latest version number, and
    the text shown on PXE boot menu for zip should be the same as
    that of iso one.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 01 Jun 2014 11:23:04 +0800

## drbl 2.9.6

=== debian/changelog ===
drbl (2.9.6-drbl1) unstable; urgency=low

  * Language file es_ES was updated by Juan Ramón Martínez.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 22 Jun 2014 22:54:00 +0800
